org.apache.ignite.internal.util

## Class GridEnumCache

- java.lang.Object
- - org.apache.ignite.internal.util.GridEnumCache

    public class GridEnumCache
    extends Object

Cache for enum constants.

### Constructor Summary

Constructors
Constructor and Description
`GridEnumCache()`

### Method Summary

Methods
`static void` `clear()` Clears cache.
`static Object[]` `get(Class<?> cls)` Gets enum constants for provided class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridEnumCache

    public GridEnumCache()

### Method Detail

#### get

    public static Object[] get(Class<?> cls)

Gets enum constants for provided class.

Parameters:
  `cls` - Class.
Returns:
  Enum constants.

#### clear

    public static void clear()

Clears cache.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015